> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enso.build/llms.txt
> Use this file to discover all available pages before exploring further.

# Get CCIP router address for a chain

> Returns the CCIP router contract address for the specified chain.



## OpenAPI

````yaml /public/openapi.json get /api/v1/ccip/router
openapi: 3.0.0
info:
  title: Enso API
  description: >-
    #### Enso API

    - Find detailed documentation on
    [docs.enso.finance](https://docs.enso.finance).

    - To use the API, **you must include your API Key in the Authorization
    header** (Bearer format).

    - For testing, Swagger pre-authorizes you using the key:
    `1e02632d-6feb-4a75-a157-documentation` (1rps).

    - Get your own API Key at
    [enso.finance/developers](https://enso.finance/developers).
  version: 1.0.1
  contact: {}
servers:
  - url: https://api.enso.build
security:
  - {}
tags:
  - name: shortcuts
    description: ''
paths:
  /api/v1/ccip/router:
    get:
      tags:
        - Integration
        - Crosschain
      summary: Get CCIP router address for a chain
      description: Returns the CCIP router contract address for the specified chain.
      operationId: CcipController_getRouter
      parameters:
        - name: chainId
          required: true
          in: query
          description: Chain ID to get the CCIP router address for
          schema:
            example: 42161
            type: number
      responses:
        '200':
          description: CCIP router address
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CcipRouterResponse'
        '400':
          description: Chain not supported by CCIP
components:
  schemas:
    CcipRouterResponse:
      type: object
      properties:
        router:
          type: string
          description: CCIP router contract address for the specified chain
          example: '0x141fa059441E0ca23ce184B6A78bafD2A517DdE8'
      required:
        - router

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.